# awesome-powermenu

Simple popup power menu for awesomewm

## Usage

`require` the library:

```
local powermenu = require "awesome-powermenu"
```

Initialise the menu, for a given screen:

```
awful.screen.connect_for_each_screen(function(s)
 ...
 s.powermenu = powermenu.new(s)
end
```

Bind it to something:

```
global_key({modkey}, "p", function() awful.screen.focused().powermenu:toggle() end,
           "show power menu", "launcher")
```

## Configuration

```
powermenu.buttonsize = 128,
powermenu.spacing = 5,
powermenu.iconPath = gears.filesystem.get_configuration_dir() .. "/powermenu/",
powermenu.lock = function()
 -- your lock function here
end,
powermenu.suspend = function()
 -- your suspend function here
end
powermenu.poweroff = function()
 -- your power off function here
end
```
